import 'package:flutter/material.dart';
import 'package:rapid_widgets_library/theme.dart';
import 'package:rapid_widgets_library/consts.dart';
import 'package:rapid_widgets_library/widget-classesUsed.dart';

/*
imports required:
import 'package:flutter/material.dart';
import 'custom-icon.dart';
import 'package:flutter_widgets_library/utils/widget-classesUsed.dart';

This widget is used to display a custom circular progress indicator.
    The user can specify the colour, size and the icon to be displayed.

    SAMPLE IMPLEMENTATION:
    IconState icon =new IconState(icon: Icons.home,color: Colors.red,size: 18.0);

      body: customisedIcon(icon)


    */

//AUTHOR : Soumyadeep Mitra

//Widget Implementation
Widget customisedIcon(IconState iconState) {
  return new Container(
    child: Icon(
      iconState.icon == null ? Icons.warning : iconState.icon,
      color: iconState.color == null
          ? yellowThemeData().backgroundColor
          : iconState.color,
      size: iconState.size == null ? heightTwentyPixel : iconState.size,
    ),
  );
}
